Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Dec 2014 19:39:47 +0200

> From: Helmut Eller <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 30 Dec 2014 18:02:59 +0100
> 
> On Tue, Dec 30 2014, Eli Zaretskii wrote:
> 
> >> From: Helmut Eller <[email-masked]>
> >> Cc: Dmitry Gutov <[email-masked]>, [email-masked]
> >> Date: Tue, 30 Dec 2014 09:19:18 +0100
> >> 
> >> >> Why doesn't it put me on "display_line"s line, and display its
> >> >> definition at the same time?
> >> 
> >> As Dmitry says: that would replace the current buffer and at the same
> >> time create and switch to the *xref* buffer.  I had tried that and it
> >> didn't like it.
> >
> > But that's what the old M-. did,
> 
> No, find-tag didn't display a list of candidates.

I meant the "display the first candidate" part.

> > so it should be at least an option,
> > IMO.
> 
> As I said: been there, done that, didn't like it.

But that's what options are for: to allow different people customize
Emacs to their taste.